# When the queue contains x messages 
# only mocks the API response 
# Testing how the API behaves with a full queue are defined in the API 

Feature: Can the adapter receive messages?
  The adapter poll method works as expected

  Scenario: No messages are received succecssfully if the queue is empty
    Given valid config
    When the adapter instance is created
    When the auth method is called
    When the queue contains 0 messages
    When the poll method is called
    Then a successful response is returned with 0 messages  

  Scenario: 2 messages are received succecssfully if the queue contains 2 messages
    Given valid config
    When the adapter instance is created
    When the auth method is called
    When the queue contains 2 messages 
    When the poll method is called
    Then a successful response is returned with 2 messages

  Scenario: 10 messages are received succecssfully if the queue contains 10 messages
    Given valid config
    When the adapter instance is created
    When the auth method is called
    When the queue contains 10 messages 
    When the poll method is called
    Then a successful response is returned with 10 messages
